Add a tag to documents
curl --request POST \
--url https://{region}.affinda.com/v3/documents/batch_add_tag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
"<string>"
],
"tag": 1
}
'import requests
url = "https://{region}.affinda.com/v3/documents/batch_add_tag"
payload = {
"identifiers": ["<string>"],
"tag": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: ['<string>'], tag: 1})
};
fetch('https://{region}.affinda.com/v3/documents/batch_add_tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Tags
Add a tag to documents
Add a tag to documents. Tags are used to group documents together. Tags can be used to filter documents.
POST
/
v3
/
documents
/
batch_add_tag
Add a tag to documents
curl --request POST \
--url https://{region}.affinda.com/v3/documents/batch_add_tag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
"<string>"
],
"tag": 1
}
'import requests
url = "https://{region}.affinda.com/v3/documents/batch_add_tag"
payload = {
"identifiers": ["<string>"],
"tag": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: ['<string>'], tag: 1})
};
fetch('https://{region}.affinda.com/v3/documents/batch_add_tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
Specify the tag and the documents to tag
Response
Document successfully tagged
Was this page helpful?
⌘I